Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::PermutationObjective Struct Referenceabstract

abstract class for the loss function More...

`#include <PolysemousTraining.h>`

Inheritance diagram for faiss::PermutationObjective:

## Public Member Functions
virtual double | compute_cost (const int *perm) const =0
virtual double | cost_update (const int *perm, int iw, int jw) const

## Public Attributes
int | n

## Detailed Description

abstract class for the loss function

Definition at line 44 of file PolysemousTraining.h.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/PolysemousTraining.h
- /data/users/matthijs/github_faiss/faiss/PolysemousTraining.cpp